/*
 * This is a simple program to check a type of a triangle from the length of
 * specified edges. The edges are given as three numerical parameters to the
 * program on the command line. Program checks for the proper number of
 * parameters, then it checks for triangle inequality, and outputs most precise
 * characteristics of the triangle under inspection (equiliteral, isosceles,
 * scalene).
 */

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv)
{

    if (argc!=4)
    {
        printf("Need exactly three numerical arguments.\n");
	return 0;
    }
   
    
    double A,B,C;
    A=atof( argv[1] );
    B=atof( argv[2] );
    C=atof( argv[3] );

    

    printf("Parameter entered (A,B,C) = (%f,%f,%f)\n",A,B,C);
    printf("These edges ");
    
    
    if ( (A+B <= C) || (A+C <= B) )
    {
        printf("do not form a triangle.");
    }
    else
    {
        printf("form ");
    }

  

    if ( A==B || A==C || B==C )
    {
        if (A==B && B==C)     // equilateral
        {
	  printf("a equilateral triangle.");
        }
        else      // isosceles 
        {
	  printf("an isosceles triangle.");
        }
    }
    else  // scalene
    {
      printf("a scalene triangle.");
    }

    printf("\n");
    return 0;    
}

